## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: profile-cleaner
Version: 2.45
Release: %autorelease
Summary: Script to vacuum and reindex sqlite databases used by Firefox and by Chrome
BuildArch: noarch

License: MIT
URL: https://github.com/graysky2/profile-cleaner
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: make
Requires: bc
Requires: findutils
Requires: parallel
Requires: sqlite

%description
Use profile-cleaner to reduce the size of browser profiles by organizing their
sqlite databases using sqlite3's vacuum and reindex functions. The term
"browser" is used loosely since profile-cleaner happily works on some email
clients and newsreaders too.


%prep
%autosetup -p1


%build
%make_build


%install
%make_install


%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/pc
%dir %{_datadir}/zsh/
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_pc
%{_mandir}/man1/*.1*


%changelog
## START: Generated by rpmautospec
* Wed Apr 24 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.45-1
- chore: Update to 2.45

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.41-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Oct 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.41-2
- build: minor fix per review rh#1885718

* Tue Oct  6 22:25:28 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.41-1
- Initial package

## END: Generated by rpmautospec
